package com.example.criminalintent;

import android.app.Fragment;
import android.text.Editable;
import android.text.TextWatcher;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.Toast;

public class CrimeFragment extends Fragment
{
	private Crime crime;
	private EditText titleField;
	private CheckBox solvedCrime;
	private Button dateButton;
	
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		// Don't inflate the XML layout
		this.crime = new Crime();
		crime.setTitle("Terrible crime: left fridge door open");
		crime.setSolved(true);
	}
	
	public View onCreateView(LayoutInflater inflater, ViewGroup parent, Bundle savedInstanceState)
	{
		View view = inflater.inflate(R.layout.fragment_crime, parent, false);
		
		titleField = (EditText)view.findViewById(R.id.crime_title);
		titleField.setText(crime.getTitle());
		titleField.addTextChangedListener(new TextWatcher() 
			{

				@Override
				public void afterTextChanged(Editable s)
				{				
				}

				@Override
				public void beforeTextChanged(CharSequence s, int start,
						int count, int after)
				{
				}

				@Override
				public void onTextChanged(CharSequence s, int start,
						int before, int count)
				{
					crime.setTitle(s.toString());
				}
			});
	
		solvedCrime = (CheckBox)view.findViewById(R.id.crime_solved);
		solvedCrime.setChecked(crime.isSolved());
		solvedCrime.setOnCheckedChangeListener(new OnCheckedChangeListener()
			{
				@Override
				public void onCheckedChanged(CompoundButton buttonView,	boolean isChecked)
				{
					crime.setSolved(isChecked);
				}
			});
		
		dateButton = (Button)view.findViewById(R.id.crime_date);
		dateButton.setText(crime.getDate().toString());
		dateButton.setEnabled(false);

		return view;

	}
}
